#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;


int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    int n = inf.readInt(1, 1000);
    inf.readEoln();
    string s = inf.readToken("[a-z]+");
    ensuref(n == (int)s.size(), "string provided %s does not have %i characters", s, n);
    inf.readEoln();
    inf.readEof();
    return 0;
}